Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2878953003: Do not elevate to register Chrome for system-level Win7 installs. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 1 week ago by grt (UTC plus 2)
Modified:
5 months ago
Reviewers:
gab
CC:
chromium-reviews, grt+watch_chromium.org, pennymac+watch_chromium.org, wfh+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Do not elevate to register Chrome for system-level Win7 installs. On Windows 7, browsers must be registered with the OS in HKLM. Chrome's installer takes care of this during install/update for system-level installs. For user-level installs, however, Chrome must pop a UAC prompt to have setup.exe run at high integrity for this registration. This change suppresses the elevate-to-register codepath for system-level installs on Windows 7 since this is the installer's responsibility. This prevents over-prompting some users (see the bug for details) at the risk of not prompting users for whom Chrome truly isn't registered. If those users are running a properly updating Chrome, its registration will be repaired on the next update. If they are not running an updating Chrome, they have bigger problems. BUG=717913 R=gab@chromium.org Review-Url: https://codereview.chromium.org/2878953003 Cr-Commit-Position: refs/heads/master@{#472750} Committed: https://chromium.googlesource.com/chromium/src/+/31546fb25253afc574bf366d92ef20790c7d418c

Patch Set 1 #

Total comments: 3

Patch Set 2 : next #

Patch Set 3 : fix #

Patch Set 4 : reset the released callback #

Messages

Total messages: 30 (16 generated)
grt (UTC plus 2)
PTAL, thanks.
5 months, 1 week ago (2017-05-12 21:14:12 UTC) #1
gab
https://codereview.chromium.org/2878953003/diff/1/chrome/installer/util/shell_util.cc File chrome/installer/util/shell_util.cc (right): https://codereview.chromium.org/2878953003/diff/1/chrome/installer/util/shell_util.cc#newcode2106 chrome/installer/util/shell_util.cc:2106: (!user_level || ElevateAndRegisterChrome(dist, chrome_exe, suffix, Would it perhaps be ...
5 months, 1 week ago (2017-05-15 16:50:17 UTC) #2
grt (UTC plus 2)
Back at ya https://codereview.chromium.org/2878953003/diff/1/chrome/installer/util/shell_util.cc File chrome/installer/util/shell_util.cc (right): https://codereview.chromium.org/2878953003/diff/1/chrome/installer/util/shell_util.cc#newcode2106 chrome/installer/util/shell_util.cc:2106: (!user_level || ElevateAndRegisterChrome(dist, chrome_exe, suffix, On ...
5 months, 1 week ago (2017-05-15 21:13:59 UTC) #3
gab
https://codereview.chromium.org/2878953003/diff/1/chrome/installer/util/shell_util.cc File chrome/installer/util/shell_util.cc (right): https://codereview.chromium.org/2878953003/diff/1/chrome/installer/util/shell_util.cc#newcode2106 chrome/installer/util/shell_util.cc:2106: (!user_level || ElevateAndRegisterChrome(dist, chrome_exe, suffix, On 2017/05/15 21:13:59, grt ...
5 months ago (2017-05-16 15:08:11 UTC) #4
grt (UTC plus 2)
What do you think of this?
5 months ago (2017-05-17 09:24:03 UTC) #5
gab
Neat, LGTM :)
5 months ago (2017-05-17 20:16:25 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2878953003/20001
5 months ago (2017-05-17 20:34:50 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2878953003/40001
5 months ago (2017-05-17 20:43:02 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/447626)
5 months ago (2017-05-17 22:35:51 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2878953003/40001
5 months ago (2017-05-18 06:29:02 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2878953003/60001
5 months ago (2017-05-18 07:24:23 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/448354)
5 months ago (2017-05-18 08:35:34 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2878953003/60001
5 months ago (2017-05-18 08:36:45 UTC) #27
commit-bot: I haz the power
5 months ago (2017-05-18 09:20:25 UTC) #30
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/31546fb25253afc574bf366d92ef...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa